#include "it_conf.h"

void it_conf(void)
	{
	NVIC_InitTypeDef NVIC_InitStruct;
	EXTI_InitTypeDef EXTI_InitStruct;
	EXTI_StructInit(&EXTI_InitStruct);

	//konfiguracja NVIC_InitStruct
	NVIC_InitStruct.NVIC_IRQChannel = TIM2_IRQn; //przerwanie od Timer2 do odswiezania wyswietlaczy
	NVIC_InitStruct.NVIC_IRQChannelPriority = 0;
	NVIC_InitStruct.NVIC_IRQChannelCmd = ENABLE;
	NVIC_Init(&NVIC_InitStruct);
	NVIC_EnableIRQ(TIM2_IRQn);

	NVIC_InitStruct.NVIC_IRQChannel = ADC1_COMP_IRQn; //przerwanie od ADC
	NVIC_InitStruct.NVIC_IRQChannelPriority = 0;
	NVIC_InitStruct.NVIC_IRQChannelCmd = ENABLE;
	NVIC_Init(&NVIC_InitStruct);
	NVIC_EnableIRQ(ADC1_COMP_IRQn);

	NVIC_InitStruct.NVIC_IRQChannel = TIM3_IRQn; //przerwanie od Timer3 do aktualizacji danych
	NVIC_InitStruct.NVIC_IRQChannelPriority = 0;
	NVIC_InitStruct.NVIC_IRQChannelCmd = ENABLE;
	NVIC_Init(&NVIC_InitStruct);
	NVIC_EnableIRQ(TIM3_IRQn);

	EXTI_InitStruct.EXTI_Line = EXTI_Line14; //przycisk brightness
	EXTI_InitStruct.EXTI_Mode = EXTI_Mode_Interrupt;
	EXTI_InitStruct.EXTI_Trigger = EXTI_Trigger_Falling;
	EXTI_InitStruct.EXTI_LineCmd = ENABLE;
	EXTI_Init(&EXTI_InitStruct);

	NVIC_InitStruct.NVIC_IRQChannel = EXTI4_15_IRQn;
	NVIC_InitStruct.NVIC_IRQChannelPriority = 1;
	NVIC_InitStruct.NVIC_IRQChannelCmd = ENABLE;
	NVIC_Init(&NVIC_InitStruct);
	NVIC_EnableIRQ(EXTI4_15_IRQn);



	}
	



