#include "tim_conf.h"
void tim_conf(void) //inicjalizacja timerow
{
	TIM_TimeBaseInitTypeDef TIM_TimeBaseInitStruct;
	TIM_TimeBaseStructInit(&TIM_TimeBaseInitStruct);
	TIM_OCInitTypeDef TIM_OCInitStruct;
	TIM_OCStructInit(&TIM_OCInitStruct);

	//regulacja jasnosci wyswietlaczy przez PWM
	TIM_DeInit(TIM15);

	TIM_TimeBaseInitStruct.TIM_Prescaler = 48; //taktowanie zegarem 1MHz
	TIM_TimeBaseInitStruct.TIM_CounterMode = TIM_CounterMode_Up;
	TIM_TimeBaseInitStruct.TIM_Period = 100-1; //rozdzielczosc 0-100, da to f = 10kHz
	TIM_TimeBaseInitStruct.TIM_ClockDivision = TIM_CKD_DIV1;
	TIM_TimeBaseInitStruct.TIM_RepetitionCounter = 0;

	TIM_TimeBaseInit(TIM15, &TIM_TimeBaseInitStruct);

	TIM_Cmd(TIM15, ENABLE);

	TIM_OCInitStruct.TIM_OCIdleState = TIM_OCNIdleState_Reset;
	TIM_OCInitStruct.TIM_OCMode = TIM_OCMode_PWM1;
	TIM_OCInitStruct.TIM_OCNIdleState = TIM_OCIdleState_Set;
	TIM_OCInitStruct.TIM_OCNPolarity = TIM_OCNPolarity_High;
	TIM_OCInitStruct.TIM_OCPolarity = TIM_OCPolarity_Low;
	TIM_OCInitStruct.TIM_OutputNState = TIM_OutputNState_Enable;
	TIM_OCInitStruct.TIM_OutputState = TIM_OutputState_Enable;
	TIM_OCInitStruct.TIM_Pulse = 2;

	TIM_OC2Init(TIM15, &TIM_OCInitStruct);
	TIM_OC2PreloadConfig(TIM15, TIM_OCPreload_Enable);
	
	TIM_CtrlPWMOutputs(TIM15, ENABLE);

	//wyjscie ILED
	TIM_DeInit(TIM3);

	TIM_TimeBaseInitStruct.TIM_Prescaler = 48; //taktowanie zegarem 1MHz
	TIM_TimeBaseInitStruct.TIM_CounterMode = TIM_CounterMode_Up;
	TIM_TimeBaseInitStruct.TIM_Period = 10000; //rozdzielczosc 0,001ms
	TIM_TimeBaseInitStruct.TIM_ClockDivision = TIM_CKD_DIV1;
	TIM_TimeBaseInitStruct.TIM_RepetitionCounter = 0;

	TIM_TimeBaseInit(TIM3, &TIM_TimeBaseInitStruct);

	TIM_Cmd(TIM3, ENABLE);

	TIM_OCInitStruct.TIM_OCIdleState = TIM_OCNIdleState_Set;
	TIM_OCInitStruct.TIM_OCMode = TIM_OCMode_PWM1;
	TIM_OCInitStruct.TIM_OCNIdleState = TIM_OCIdleState_Reset;
	TIM_OCInitStruct.TIM_OCNPolarity = TIM_OCNPolarity_Low;
	TIM_OCInitStruct.TIM_OCPolarity = TIM_OCPolarity_High;
	TIM_OCInitStruct.TIM_OutputNState = TIM_OutputNState_Enable;
	TIM_OCInitStruct.TIM_OutputState = TIM_OutputState_Enable;
	TIM_OCInitStruct.TIM_Pulse = 320;

	TIM_OC1Init(TIM3, &TIM_OCInitStruct);
	TIM_OC1PreloadConfig(TIM3, TIM_OCPreload_Enable);

	TIM_ITConfig(TIM3, TIM_IT_Update, ENABLE); //generuje przerwanie przy przepelnieniu, aby wznowic pomiar


	//odswiezanie wyswietlaczy przez wywolywanie przerwan
	TIM_DeInit(TIM2);
	
	TIM_TimeBaseInitStruct.TIM_Prescaler = 48; //taktowanie zegarem 1MHz
	TIM_TimeBaseInitStruct.TIM_CounterMode = TIM_CounterMode_Up;
	TIM_TimeBaseInitStruct.TIM_Period = 100-1; //f przerwan 10kHz
	TIM_TimeBaseInitStruct.TIM_ClockDivision = TIM_CKD_DIV1;

	TIM_TimeBaseInit(TIM2, &TIM_TimeBaseInitStruct);

	TIM_Cmd(TIM2, ENABLE);

	TIM_ITConfig(TIM2, TIM_IT_Update, ENABLE);


	
}


